@if (customExport) {
  <div class="creation-modification-grid-container">
    <div class="creation-modification-grid-half-left">
      <sqtm-core-label
        [text]="'sqtm-core.entity.generic.creation.label' | translate"
      >
      </sqtm-core-label>
      <sqtm-core-auditable-field
        [attr.data-test-field-id]="'custom-export-created'"
        [userName]="customExport.createdBy"
        [date]="customExport.createdOn"
      >
      </sqtm-core-auditable-field>
    </div>
    <div class="creation-modification-grid-half-right">
      <sqtm-core-label
        [text]="'sqtm-core.entity.generic.modification.label' | translate"
      >
      </sqtm-core-label>
      <sqtm-core-auditable-field
        [attr.data-test-field-id]="'custom-export-lastModified'"
        [userName]="customExport.lastModifiedBy"
        [date]="customExport.lastModifiedOn"
      >
      </sqtm-core-auditable-field>
    </div>
  </div>
  <div
    class="information-grid-perimeter"
    [attr.data-test-field-id]="'custom-export-perimeter'"
  >
    <sqtm-core-label
      [text]="'sqtm-core.generic.label.perimeter' | translate | capitalize"
    >
    </sqtm-core-label>
    <div>
      {{
        customExportName ||
          'sqtm-core.custom-report-workspace.custom-export.scope.deleted'
          | translate
      }}
    </div>
  </div>
  @if (formGroup) {
    <div class="print-execution-option" [formGroup]="formGroup">
      <sqtm-core-label
        [text]="
          'sqtm-core.custom-report-workspace.create-custom-export.workbench.label.select-print-exec-option'
            | translate
        "
      >
      </sqtm-core-label>
      <sqtm-core-select-field
        [formGroup]="formGroup"
        [fieldName]="'printExecutionOption'"
        [options]="printExecutionOptions"
      >
      </sqtm-core-select-field>
    </div>
  }
  <sqtm-core-label
    class="m-b-6"
    [text]="
      'sqtm-core.custom-report-workspace.create-custom-export.workbench.label.selected-attributes'
        | translate
    "
  >
  </sqtm-core-label>
  <label class="flex-column">
    @for (column of identifiedColumns; track column) {
      <sqtm-app-custom-export-column-capsule
        [attr.data-test-element-id]="'columnField'"
        [column]="column"
        [showRemoveButton]="false"
        [showEntityName]="true"
      >
      </sqtm-app-custom-export-column-capsule>
    }
  </label>
}
